Bug 597972 - Need recompilation of rkward with R 2.10
Summary: Need recompilation of rkward with R 2.10
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: rkward
Version: 12
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Pierre-YvesChibon
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-31 06:46 UTC by Bjorge Solli
Modified: 2010-06-21 21:42 UTC (History)
1 user (show)

Fixed In Version: rkward-0.5.3-1.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-21 21:42:22 UTC


Attachments (Terms of Use)

Description Bjorge Solli 2010-05-31 06:46:38 UTC
Description of problem:
Is compiled with R pre to 2.10.0 and thus does not work with R 2.10

Version-Release number of selected component (if applicable):
0.5.2 x86_64

Error message when rkward starts:
There was a problem starting the R backend. The following error(s) occurred:
- The 'rkward' R-library either could not be loaded at all, or not in the correct version. This may lead to all sorts of errors, from single missing features to complete failure to function. The most likely cause is that the last installation did not place all files in the correct place. However, in some cases, left-overs from a previous installation that was not cleanly removed may be the cause. 
You should quit RKWard, now, and fix your installation. For help with that, see http://p.sf.net/rkward/compiling.
-There was a problem opening the files needed for communication with R. Most likely this is due to an incorrect setting for the location of these files. Check whether you have correctly configured the location of the log-files (Settings->Configure Settings->Logfiles) and restart RKWard.
-An unspecified error occurred that is not yet handled by RKWard. Likely RKWard will not function properly. Please check your setup. 

Error: package 'rkward' was built before R 2.10.0: please re-install it
Error in stopifnot(.rk.app.version == "0.5.2") : 
object '.rk.app.version' not found
Error: could not find function ".rk.getHelpBaseUrl"
Error in options(editor = rk.edit.files) : 
object 'rk.edit.files' not found
Error in options(pager = rk.show.files) : 
object 'rk.show.files' not found
Error in options(browser = rk.show.html) : 
object 'rk.show.html' not found
Error: could not find function "rk.set.output.html.file"
Error during wrapup: could not find function ".rk.do.error"

Comment 1 Pierre-YvesChibon 2010-05-31 08:16:13 UTC
in fact rkward needs a full update since the version 5.3 is out

Comment 2 Bjorge Solli 2010-05-31 08:31:37 UTC
That would be even better! Please note that I'm still on Fedora 12, so updating for Fedora 12 would be greatly appreciated.

Comment 3 Pierre-YvesChibon 2010-05-31 08:38:33 UTC
It is currently building for F-14, F-13, F-12 and F-11

Comment 4 Fedora Update System 2010-05-31 08:45:07 UTC
rkward-0.5.3-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/rkward-0.5.3-1.fc12

Comment 5 Fedora Update System 2010-05-31 18:27:52 UTC
rkward-0.5.3-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update rkward'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/rkward-0.5.3-1.fc12

Comment 6 Bjorge Solli 2010-06-01 08:36:00 UTC
The new package is also compiled with 2.9 and not 2.10. Fedora 12 shipped with 2.9, but 2.10 has been added trough fedora-updates. The error message is the same, but the version number in about have been updated.

Comment 7 Pierre-YvesChibon 2010-06-01 15:00:40 UTC
rkward has been built against R-2.11.0 which is present in updates.

Comment 8 Pierre-YvesChibon 2010-06-01 15:00:58 UTC
(In reply to comment #7)
> rkward has been built against R-2.11.0 which is present in updates.    

cf: http://cvs.fedoraproject.org/viewvc/F-12/rkward/rkward.spec?view=markup

Comment 9 Fedora Update System 2010-06-21 21:42:18 UTC
rkward-0.5.3-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.